Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

x/build/env/openbsd: add OpenBSD 6.6 builder #35712

Open
bradfitz opened this issue Nov 20, 2019 · 3 comments
Open

x/build/env/openbsd: add OpenBSD 6.6 builder #35712

bradfitz opened this issue Nov 20, 2019 · 3 comments

Comments

@bradfitz
Copy link
Contributor

@bradfitz bradfitz commented Nov 20, 2019

OpenBSD 6.6 is out:

https://www.openbsd.org/66.html

Update our GCE builders. (rather, add a builder)

Pending CL https://go-review.googlesource.com/c/build/+/176237 does most the work (but using pre-release 6.5 instead of 6.6).

Just need to build it, test it (with x/build/cmd/debugnewvm) and configure it if it works.

/cc @cagedmantis @dmitshur @bcmills

@gopherbot gopherbot added this to the Unreleased milestone Nov 20, 2019
@gopherbot gopherbot added the Builders label Nov 20, 2019
@toothrot toothrot added the NeedsFix label Nov 22, 2019
@4a6f656c
Copy link
Contributor

@4a6f656c 4a6f656c commented Jan 4, 2020

Only OpenBSD 6.5 and 6.6 are currently supported releases - I'd suggest running builders for both of these versions and retiring the older ones.

@4a6f656c
Copy link
Contributor

@4a6f656c 4a6f656c commented May 19, 2020

OpenBSD 6.7 has just been released - 6.6 and 6.7 are now the only currently supported releases. We really need to new builders up and retire the 6.2 and 6.4 builders...

@cagedmantis
Copy link
Contributor

@cagedmantis cagedmantis commented May 21, 2020

@4a6f656c Thanks for the reminder. I will follow up on this soon.

@cagedmantis cagedmantis self-assigned this Jun 1, 2020
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Projects
None yet
Linked pull requests

Successfully merging a pull request may close this issue.

None yet
5 participants
You can’t perform that action at this time.